# Class PoiLayer


### Extends
* [Events](_events_.events.md)

## Index

### Constructors
* [constructor](_poilayer_.poilayer.md#constructor)

### Properties
* [_layers](_poilayer_.poilayer.md#_layers)
* [_map](_poilayer_.poilayer.md#_map)
* [_source](_poilayer_.poilayer.md#_source)
* [baseUrl](_poilayer_.poilayer.md#baseurl)
* [color](_poilayer_.poilayer.md#color)
* [draggable](_poilayer_.poilayer.md#draggable)
* [id](_poilayer_.poilayer.md#id)
* [type](_poilayer_.poilayer.md#type)
* [_cnt](_poilayer_.poilayer.md#_cnt)

### Methods
* [addTo](_poilayer_.poilayer.md#addto)
* [off](_poilayer_.poilayer.md#off)
* [on](_poilayer_.poilayer.md#on)
* [removeFrom](_poilayer_.poilayer.md#removefrom)

## Constructors

### new PoiLayer(options?: [PoiLayerOptions](../interfaces/_poilayer_.poilayeroptions.md)): [PoiLayer](_poilayer_.poilayer.md)
  
* Defined in PoiLayer.ts:20


#### Parameters

| Name | Type | Description |
| ---- | ---- | ---- |
| options? | [PoiLayerOptions](../interfaces/_poilayer_.poilayeroptions.md)|  |

#### Returns: [PoiLayer](_poilayer_.poilayer.md)

## Properties

### _layers: [Layer](_layer_.layer.md)[]

* Defined in PoiLayer.ts:14


### _map: any

* Defined in PoiLayer.ts:16


### _source: [Source](_source_.source.md)

* Defined in PoiLayer.ts:15


### baseUrl: string

* Defined in PoiLayer.ts:18


### color: string

* Defined in PoiLayer.ts:20


### draggable: boolean

* Defined in PoiLayer.ts:17


### id: string

* Defined in PoiLayer.ts:13


### type: string

* Defined in PoiLayer.ts:19


### Static Private _cnt: number

* Defined in PoiLayer.ts:12


## Methods

### addTo(map: [Map](_map_.map.md)): [PoiLayer](_poilayer_.poilayer.md)
  
* Defined in PoiLayer.ts:80


#### Parameters

| Name | Type | Description |
| ---- | ---- | ---- |
| map | [Map](_map_.map.md)|  |

#### Returns: [PoiLayer](_poilayer_.poilayer.md)

### off(event?: string, listener?: any): [PoiLayer](_poilayer_.poilayer.md)
  
* Overwrites [Events](_events_.events.md).[off](_events_.events.md#off)
* Defined in PoiLayer.ts:115


#### Parameters

| Name | Type | Description |
| ---- | ---- | ---- |
| event? | string|  |
| listener? | any|  |

#### Returns: [PoiLayer](_poilayer_.poilayer.md)

### on(event: string, listener: any): [PoiLayer](_poilayer_.poilayer.md)
  
* Overwrites [Events](_events_.events.md).[on](_events_.events.md#on)
* Defined in PoiLayer.ts:102


#### Parameters

| Name | Type | Description |
| ---- | ---- | ---- |
| event | string|  |
| listener | any|  |

#### Returns: [PoiLayer](_poilayer_.poilayer.md)

### removeFrom(map: [Map](_map_.map.md)): [PoiLayer](_poilayer_.poilayer.md)
  
* Defined in PoiLayer.ts:91


#### Parameters

| Name | Type | Description |
| ---- | ---- | ---- |
| map | [Map](_map_.map.md)|  |

#### Returns: [PoiLayer](_poilayer_.poilayer.md)


Generated using [TypeDoc](http://typedoc.io)
